Skip to main content
GET
/
v1
/
compliance
/
watch-list
/
list
Get watchlist list
curl --request GET \
  --url https://api.openxswitch.com/v1/compliance/watch-list/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "6a0c7c45f82132956d0ee5ea",
      "address": "0x123...",
      "label": "Sanctioned entity",
      "type": "allow",
      "reason": "Sanctioned entity",
      "workspaceId": "1",
      "createdAt": "2022-01-01",
      "updatedAt": "2022-01-01"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

address
string

This is the blockchain address to be whitelisted/Blocked

Example:

"0x1234567890123456789012345678901234567890"

type
enum<string>

This is the type of watchlist

Available options:
allow,
block
Example:

"block"

pageNo
string

The page number for pagination

pageLimit
string

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required